package pro.litvinovg.libreoffice.metadata.views;

import java.awt.Component;

import javax.swing.JTable;
import javax.swing.JTextArea;
import javax.swing.table.TableCellRenderer;

public class MetadataTableRenderer extends JTextArea implements TableCellRenderer{
	private static final long serialVersionUID = 1L;

	public MetadataTableRenderer() {
     setOpaque(true);
     setLineWrap(true);
     setWrapStyleWord(true);
 }

	 public Component getTableCellRendererComponent(JTable table,Object value,
       boolean isSelected, boolean hasFocus, int row,int column) {
       this.setText(value == null ? "" : value.toString());
       return this;
   }
}
